#include <iostream>
#include <algorithm>
#include <string>
#include <iomanip>
#include <cmath>
#include <bits/stdc++.h>



using namespace std;



int main (){

  long long n, q, k;

  long long d[3], p[3];

  long long res = 0;

  cin >> n >> q;

  for(int i=1;i<=n;i++){
    cin >> d[i] >> p[i];
  }

  for(int i=1;i<=q;i++){
    cin >> k;



  for (long long i = 1; i<=n; i++){
    if(d[i]<=k){
        res += p[i];
    }
  }
  cout << res;}


   return 0;
}